<Type Name="UniqueConstraint" FullName="System.Data.UniqueConstraint">
  <TypeSignature Language="C#" Value="public class UniqueConstraint : System.Data.Constraint" Maintainer="auto" />
  <AssemblyInfo>
    <AssemblyName>System.Data</AssemblyName>
    <AssemblyPublicKey>[00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00]</AssemblyPublicKey>
    <AssemblyVersion>1.0.3300.0</AssemblyVersion>
    <AssemblyCulture>neutral</AssemblyCulture>
    <Attributes>
      <Attribute>
        <AttributeName>System.CLSCompliantAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.NeutralResourcesLanguageAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Security.AllowPartiallyTrustedCallersAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.SatelliteContractVersionAttribute</AttributeName>
      </Attribute>
    </Attributes>
  </AssemblyInfo>
  <ThreadSafetyStatement>Gtk# is thread aware, but not thread safe; See the &lt;link location="node:gtk-sharp/programming/threads"&gt;Gtk# Thread Programming&lt;/link&gt; for details.</ThreadSafetyStatement>
  <Docs>
    <summary>To be added</summary>
    <remarks>To be added</remarks>
  </Docs>
  <Base>
    <BaseTypeName>System.Data.Constraint</BaseTypeName>
  </Base>
  <Interfaces />
  <Attributes>
    <Attribute>
      <AttributeName>System.ComponentModel.DefaultPropertyAttribute</AttributeName>
    </Attribute>
    <Attribute>
      <AttributeName>System.ComponentModel.EditorAttribute</AttributeName>
    </Attribute>
  </Attributes>
  <Members>
    <Member MemberName="GetHashCode">
      <MemberSignature Language="C#" Value="public virtual int GetHashCode ();" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'int'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Equals">
      <MemberSignature Language="C#" Value="public virtual bool Equals (object key2);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="key2" Type="System.Object" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="key2">To be added: an object of type 'object'</param>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public UniqueConstraint (string name, DataColumn column);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
		<Parameter Name="name" Type="System.String" />
		<Parameter Name="column" Type="System.Data.DataColumn" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="name">To be added: an object of type 'string'</param>
        <param name="column">To be added: an object of type 'DataColumn'</param>
        <returns>To be added: an object of type 'UniqueConstraint'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public UniqueConstraint (DataColumn column);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
		<Parameter Name="column" Type="System.Data.DataColumn" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="column">To be added: an object of type 'DataColumn'</param>
        <returns>To be added: an object of type 'UniqueConstraint'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public UniqueConstraint (string name, DataColumn [] columns);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
		<Parameter Name="name" Type="System.String" />
		<Parameter Name="columns" Type="System.Data.DataColumn[]" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="name">To be added: an object of type 'string'</param>
        <param name="columns">To be added: an object of type 'DataColumn []'</param>
        <returns>To be added: an object of type 'UniqueConstraint'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public UniqueConstraint (DataColumn [] columns);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
		<Parameter Name="columns" Type="System.Data.DataColumn[]" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="columns">To be added: an object of type 'DataColumn []'</param>
        <returns>To be added: an object of type 'UniqueConstraint'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public UniqueConstraint (string name, string [] columnNames, bool isPrimaryKey);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
		<Parameter Name="name" Type="System.String" />
		<Parameter Name="columnNames" Type="System.String[]" />
		<Parameter Name="isPrimaryKey" Type="System.Boolean" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="name">To be added: an object of type 'string'</param>
        <param name="columnNames">To be added: an object of type 'string []'</param>
        <param name="isPrimaryKey">To be added: an object of type 'bool'</param>
        <returns>To be added: an object of type 'UniqueConstraint'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public UniqueConstraint (string name, DataColumn column, bool isPrimaryKey);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
		<Parameter Name="name" Type="System.String" />
		<Parameter Name="column" Type="System.Data.DataColumn" />
		<Parameter Name="isPrimaryKey" Type="System.Boolean" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="name">To be added: an object of type 'string'</param>
        <param name="column">To be added: an object of type 'DataColumn'</param>
        <param name="isPrimaryKey">To be added: an object of type 'bool'</param>
        <returns>To be added: an object of type 'UniqueConstraint'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public UniqueConstraint (DataColumn column, bool isPrimaryKey);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
		<Parameter Name="column" Type="System.Data.DataColumn" />
		<Parameter Name="isPrimaryKey" Type="System.Boolean" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="column">To be added: an object of type 'DataColumn'</param>
        <param name="isPrimaryKey">To be added: an object of type 'bool'</param>
        <returns>To be added: an object of type 'UniqueConstraint'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public UniqueConstraint (string name, DataColumn [] columns, bool isPrimaryKey);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
		<Parameter Name="name" Type="System.String" />
		<Parameter Name="columns" Type="System.Data.DataColumn[]" />
		<Parameter Name="isPrimaryKey" Type="System.Boolean" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="name">To be added: an object of type 'string'</param>
        <param name="columns">To be added: an object of type 'DataColumn []'</param>
        <param name="isPrimaryKey">To be added: an object of type 'bool'</param>
        <returns>To be added: an object of type 'UniqueConstraint'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public UniqueConstraint (DataColumn [] columns, bool isPrimaryKey);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
		<Parameter Name="columns" Type="System.Data.DataColumn[]" />
		<Parameter Name="isPrimaryKey" Type="System.Boolean" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="columns">To be added: an object of type 'DataColumn []'</param>
        <param name="isPrimaryKey">To be added: an object of type 'bool'</param>
        <returns>To be added: an object of type 'UniqueConstraint'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Columns">
      <MemberSignature Language="C#" Value="public virtual DataColumn [] Columns { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.DataColumn[]</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'DataColumn []'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="IsPrimaryKey">
      <MemberSignature Language="C#" Value="public bool IsPrimaryKey { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Table">
      <MemberSignature Language="C#" Value="public virtual DataTable Table { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.DataTable</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'DataTable'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  </Members>
</Type>
